<?php
session_start();
require_once('../conexion.php');
include "../include/sesiones.php";
$date=date("Y-m-d");
$hora=date("H:i:s");
$clie_id=$_POST['clie_id'];
$clie_puntos_redimir=$_POST["clie_puntos_redimir"]; 

$can1=mysqli_query($con,"SELECT * from cliente where clie_id='$clie_id'") or die(mysqli_error($con)); 
$row1=mysqli_fetch_array($can1);
$clie_puntos_disponible=$row1['clie_puntos'];
$clie_nota_disponible=$row1['clie_nota_credito'];

$resta_punto=$clie_puntos_disponible-$clie_puntos_redimir;//resta de puntos los que tiene disponibles
$suma_puntos=$clie_puntos_redimir*$valor_punto_redimir;//multipico para saber el valor del de los puntos
$punto_valor=$suma_puntos+$clie_nota_disponible;//suma para total del dinero a resivir

if ($clie_puntos_redimir<=$clie_puntos_disponible) 
{
    $punto=mysqli_query($con,"UPDATE cliente Set clie_puntos='$resta_punto', clie_nota_credito='$punto_valor' where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con)); 
    $regis=mysqli_query($con,"INSERT into historial_puntos (hist_puntos_redimidos,hist_clie_id_puntos,hist_puntos_dinero,hist_hora,hist_fecha,empresa)
        VALUES  ('$clie_puntos_redimir','$clie_id','$suma_puntos','$hora','$date','$empresa')") or die(mysqli_error($con));   
}
else
{
    echo '<div class="alert alert-danger alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
            <strong>Puntos !NO Redimidos¡ </strong> 
        </div>';
}		
?>